POST api/v1/volunteers/addToAgencyPool

Request Information

URI Parameters

None.

Body Parameters

ManageVolunteerAgencyPoolModel
NameDescriptionTypeAdditional information
VolunteerId

integer

None.

PoolId

integer

None.

Request Formats

application/json, text/json, text/html

Sample:
{
  "volunteerId": 1,
  "poolId": 2
}

application/xml, text/xml

Sample:
<ManageVolunteerAgencyPoolModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.API.Models">
  <PoolId>2</PoolId>
  <VolunteerId>1</VolunteerId>
</ManageVolunteerAgencyPoolModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.